Chat
Delete a file
DELETE
/chat-rooms/:roomId/files/:fileIdSoft-delete a file you uploaded. Deleting an already deleted file succeeds.
| Auth | Login required |
|---|
Path parameters
roomIdstringrequiredChat room ID.
fileIdstringrequiredFile ID.
Response
| Field | Type | Description |
|---|---|---|
id | string | ID of the deleted file. |
deletedAt | string | Deletion time (ISO 8601). |
Request
curl https://api.4s.link/chat-rooms/ROOM_ID/files/FILE_ID \-X DELETE \-H "Authorization: Bearer 4s_at_..."
Example response
{"id": "cf1a2b3c-...","deletedAt": "2026-08-29T00:00:00.000Z"}